#ifndef XSTREAMEDSOUND_H
#define XSTREAMEDSOUND_H

#include "xasset.h"

class XStreamedFileName;

class XStreamedSound : public XAsset
{
public:
    XStreamedSound();
    ~XStreamedSound();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XStreamedFileName* mStreamed;
};

#endif // XSTREAMEDSOUND_H
